Subject: [icnrg] Review of ICN Terminology document (draft-wissingh-icnrg-terminology-01)

From: "Rahman, Akbar" <[email-masked]>
Date: Mon, 1 May 2017 21:27:47 +0000

Hi Chairs and all,

I took an action at the Chicago meeting to provide a review for:

https://tools.ietf.org/html/draft-wissingh-icnrg-terminology-01

Following are my comments:

1)     General

·        I personally found the document useful, and have seen similar “terminology” documents in other RGs/WGs that other people also found useful (e.g. RFC 7102, RFC 7426) .  However, I think, that the document quality could probably be improved significantly as per some of my comments below.

·        Formatting and structure in many sections could be improved for better readability.  For example:

o In section 3.6, there is no apparent order in the information presented.  It is not alphabetical order, nor following any other obvious structure (that I could discern).

o Why is section 3.7 just a list of terms without any explanation text (i.e. most other sections have at least a 1-liner explanation?

o (BTW, I did like the formatting of section 2 which was easy to read.  So that could be a template for the other sections).

·        Several sections still appear incomplete (e.g. Fig. 2, Section 4.4, Section 4.5, etc.)

2)     Section 1 (Intro)

·        Was there a special reason to explicitly call our “immutable data items” in paragraph 1?  The text seems to imply native multicast delivery, etc. works only for immutable data, which I think is not true.

·        There are also other ICN projects which are not current (E.g. H2020 POINT).  So should probably just delete the term “historic” and just say other projects are not covered.

3)     Section 3 (Terms by Category)

·        Can you shorten the name of section 3.6 to “Forwarding plane related terms”?   The “stateful” in the title seems extraneous.

·        The title of section 3.7 is not very good (nor is the purpose of the section obvious).  Probably better to distribute these terms to other sections.

4)     Section 4 (Semantics and Usage)

·        Not sure of the value of this section.  Seems to repeat a lot of the ideas already covered in other sections (e.g. lookup already covered in section 2).  Is this section supposed to be like a use case?

5)     Section 5 (References)

·        Some references appear very out of date (e.g. should be RFC 7927 instead of old icrng-challenges)

Best Regards,

Akbar

<http://ir.interdigital.com/File/Index?KeyFile=37447876>

This e-mail is intended only for the use of the individual or entity to which it is addressed, and may contain information that is privileged, confidential and/or otherwise protected from disclosure to anyone other than its intended recipient. Unintended transmission shall not constitute waiver of any privilege or confidentiality obligation. If you received this communication in error, please do not review, copy or distribute it, notify me immediately by email, and delete the original message and any attachments. Unless expressly stated in this e-mail, nothing in this message or any attachment should be construed as a digital or electronic signature.

---

From: "Wissingh, B.F. (Bastiaan)" <[email-masked]>
Date: Wed, 24 May 2017 14:40:41 +0000

Dear Akbar,

Thank you for reviewing version -01 of the draft! We’ve discussed your comments amongst the authors of the draft and most of them will be addressed in a next version.

With regards to your comments about section 3.7 and several other sections that still appear incomplete (e.g. Fig. 2, Section 4.4, Section 4.5, etc.), we are actually still looking for people who are willing to contribute to those sections. So, if you are willing to contribute to one or more of those sections, please let me know.

Best regards,
Bastiaan Wissingh

Van: icnrg <[email-masked]> namens "Rahman, Akbar" <[email-masked]>
Datum: maandag 1 mei 2017 23:27
Aan: "[email-masked]" <[email-masked]>
Onderwerp: [icnrg] Review of ICN Terminology document (draft-wissingh-icnrg-terminology-01)

Hi Chairs and all,

  1.  General
     *   I personally found the document useful, and have seen similar “terminology” documents in other RGs/WGs that other people also found useful (e.g. RFC 7102, RFC 7426) .  However, I think, that the document quality could probably be improved significantly as per some of my comments below.

     *   Formatting and structure in many sections could be improved for better readability.  For example:

     *   Several sections still appear incomplete (e.g. Fig. 2, Section 4.4, Section 4.5, etc.)

  1.  Section 1 (Intro)
     *   Was there a special reason to explicitly call our “immutable data items” in paragraph 1?  The text seems to imply native multicast delivery, etc. works only for immutable data, which I think is not true.

     *   There are also other ICN projects which are not current (E.g. H2020 POINT).  So should probably just delete the term “historic” and just say other projects are not covered.

  1.  Section 3 (Terms by Category)
     *   Can you shorten the name of section 3.6 to “Forwarding plane related terms”?   The “stateful” in the title seems extraneous.

     *   The title of section 3.7 is not very good (nor is the purpose of the section obvious).  Probably better to distribute these terms to other sections.

  1.  Section 4 (Semantics and Usage)
     *   Not sure of the value of this section.  Seems to repeat a lot of the ideas already covered in other sections (e.g. lookup already covered in section 2).  Is this section supposed to be like a use case?

  1.  Section 5 (References)
     *   Some references appear very out of date (e.g. should be RFC 7927 instead of old icrng-challenges)

Best Regards,

Akbar

This message may contain information that is not intended for you. If you are not the addressee or if this message was sent to you by mistake, you are requested to inform the sender and delete the message. TNO accepts no liability for the content of this e-mail, for the manner in which you use it and for damage of any kind resulting from the risks inherent to the electronic transmission of messages.